[pacman-dev] [PATCH 7/7] pacman-key: hide output of executed commands on logic checks
Allan McRae
allan at archlinux.org
Fri Jul 8 07:59:32 EDT 2011
From: Ivan Kanakarakis <ivan.kanak at gmail.com>
This commit correctly redirects to /dev/null the output of several
commands that get executed on logic checks.
Original-patch-by: Denis A. Altoé Falqueto <denisfalqueto at gmail.com>
Signed-off-by: Ivan Kanakarakis <ivan.kanak at gmail.com>
Signed-off-by: Allan McRae <allan at archlinux.org>
---
scripts/pacman-key.sh.in | 8 ++++----
1 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/scripts/pacman-key.sh.in b/scripts/pacman-key.sh.in
index 9017ea9..b2b5669 100644
--- a/scripts/pacman-key.sh.in
+++ b/scripts/pacman-key.sh.in
@@ -108,7 +108,7 @@ reload_keyring() {
# Verify signatures of related files, if they exist
if [[ -r "${ADDED_KEYS}" ]]; then
msg "$(gettext "Verifying official keys file signature...")"
- if ! ${GPG_PACMAN} --quiet --batch --verify "${ADDED_KEYS}.sig" 1>/dev/null; then
+ if ! ${GPG_PACMAN} --verify "${ADDED_KEYS}.sig" &>/dev/null; then
error "$(gettext "The signature of file %s is not valid.")" "${ADDED_KEYS}"
exit 1
fi
@@ -116,7 +116,7 @@ reload_keyring() {
if [[ -r "${DEPRECATED_KEYS}" ]]; then
msg "$(gettext "Verifying deprecated keys file signature...")"
- if ! ${GPG_PACMAN} --quiet --batch --verify "${DEPRECATED_KEYS}.sig" 1>/dev/null; then
+ if ! ${GPG_PACMAN} --verify "${DEPRECATED_KEYS}.sig" &>/dev/null; then
error "$(gettext "The signature of file %s is not valid.")" "${DEPRECATED_KEYS}"
exit 1
fi
@@ -124,7 +124,7 @@ reload_keyring() {
if [[ -r "${REMOVED_KEYS}" ]]; then
msg "$(gettext "Verifying deleted keys file signature...")"
- if ! ${GPG_PACMAN} --quiet --batch --verify "${REMOVED_KEYS}.sig"; then
+ if ! ${GPG_PACMAN} --verify "${REMOVED_KEYS}.sig" &>/dev/null; then
error "$(gettext "The signature of file %s is not valid.")" "${REMOVED_KEYS}"
exit 1
fi
@@ -296,7 +296,7 @@ fi
if (( EDITKEY )); then
for key in ${KEYIDS[@]}; do
# Verify if the key exists in pacman's keyring
- if ${GPG_PACMAN} --list-keys "$key" > /dev/null 2>&1; then
+ if ${GPG_PACMAN} --list-keys "$key" &>/dev/null; then
${GPG_PACMAN} --edit-key "$key"
else
error "$(gettext "The key identified by %s does not exist")" "$key"
--
1.7.6
More information about the pacman-dev
mailing list